<?php

namespace Drupal\component_builder;

/**
 * Defines the interface for component builder helper.
 */
interface ComponentBuilderHelperInterface {

  /**
   * Detect entity has field references to component wrapper.
   *
   * @param $entity_id
   *    The entity id need filter.
   *
   * @return array
   *   An array of entity references to component wrapper.
   */
  public function getFieldsReferencedComponent($entity_id = NULL);

}
